<script type="text/javascript">
(function(_, $) {
    {if !empty($search.category_id)}
        var q_category_id = '{$search.category_id}';
    {/if}
    var esqs_min_length = parseInt('{$addons.ecl_live_search.qs_min_chars|default:3}', 10);
    var esqs_show_pagination = {if $addons.ecl_live_search.use_pagination == 'Y'}true{else}false{/if};
    $.ceEvent('on', 'ce.commoninit', function (context) {

        if (!$('.ty-search-block', context).length) {
            return;
        }
        {if $addons.ecl_live_search.search_in_results == 'Y'}
            $('.ty-search-block>form').addClass('ecl-add-subsearch');
        {/if}
        var incl_subsearch = $('.cm-es-item-example .ty-checkbox__item').clone();
        if (incl_subsearch.length && !$('#incl_subsearch').length) {
            $('input', incl_subsearch).attr('id', 'incl_subsearch');
            $('label', incl_subsearch).attr('for', 'incl_subsearch');
        } else {
            incl_subsearch = '';
        }
        $('.ty-search-block__input:first').attr('id', 'ecl_live_search').attr('autocomplete', 'off').addClass('cm-es-quick-search').before(incl_subsearch).bind('keyup', function(e) {
            if ($(this).data('caSetTimeout')) {
                clearTimeout($(this).data('caSetTimeout'));
            }

            var timeout = setTimeout(function() {
                fn_ecl_live_search(e);
            }, 300);
            $(this).data('caSetTimeout', timeout);
        }).bind('blur', function () {
            var esqs_container = $('#esqs_container');
            if (esqs_container.is(':visible')) {
                setTimeout(function () {
                    esqs_container.hide();
                }, 200);
            }
        });

        function fn_ecl_live_search(e)
        {
            var c_url = 'search.ecl_live_search';

            var parsed_query = $.parseUrl(location.href);
            if ($('#incl_subsearch:checked').length) {
                var q_params = '?fake';
                if (parsed_query.parsed_query && parsed_query.parsed_query.features_hash) {
                    q_params += '&features_hash=' + parsed_query.parsed_query.features_hash;
                }
                if (typeof(q_category_id) !== 'undefined') {
                    q_params += '&cid=' + q_category_id;
                }
                c_url += q_params;
            }

            var jelm = $(e.target);
            var jform = jelm.parents('form');
            if (!$('#esqs_container').length) {
                jform.append('<div id="esqs_container" class="esqs-container"><div class="cm-search-spinner"><img src="images/spinner.gif" alt="{__('search')}" /></div></div>');
                //$('#esqs_container').hide();
            } else {
                $('#esqs_container').html('<div class="cm-search-spinner"><img src="images/spinner.gif" alt="{__('search')}" /></div>');
                $('#esqs_container').show();
            }

            var q_string = jelm.val();
            fn_ecl_live_search_query(c_url, q_string, 1);
        }

        function fn_ecl_live_search_query(c_url, q_string, page)
        {
            if (q_string.length >= esqs_min_length) {
                $.ceAjax('request', fn_url(c_url), {
                    caching: false,
                    data: {
                        q: q_string,
                        page: page
                        {if fn_allowed_for('MULTIVENDOR') && !empty($smarty.request.company_id)}
                        ,company_id: {$smarty.request.company_id}
                        {/if}
                    },
                    force_exec: true,
                    hidden: true,
                    callback: function (data) {
                        fn_ecl_live_search_callback(data, q_string, page, c_url);
                    },
                    error: function (data) {
                        console.log('!');
                    }
                });
            } else {
                 $('#esqs_container').hide();
            }
        }

        function fn_ecl_live_search_callback(data, q_string, page, c_url)
        {
            var esqs_container = $('#esqs_container');
            if (esqs_container.is(':visible')) {
                esqs_container.hide();
            }
            esqs_container.html('');

            if (data.products && data.products.length) {
                var main_category = 0;
                for (i in data.products) {
                    var new_node = $('.cm-es-item-example .ty-search-item').clone();

                    if (data.products[i].main_category && data.products[i].main_category != main_category) {
                        esqs_container.append('<div class="ecl-live-search-category ty-strong">' + data.products[i].category + '</div>');
                        main_category = data.products[i].main_category;
                    }

                    $('.ty-search-item__title', new_node).html('<a>' + data.products[i].product + '</a>');

                    if ($('img', new_node).length && data.products[i].image_data) {
                        $('img', new_node).attr('src', data.products[i].image_data.image_path);
                    }
                    $('a', new_node).attr('href', data.products[i].url);

                    if ($('.ty-search-item__price', new_node).length && data.products[i].price) {
                        $('.ty-search-item__price', new_node).html(data.products[i].price);
                    }

                    if ($('.ty-search-item__product-code', new_node).length && data.products[i].product_code) {
                        $('.ty-search-item__product-code', new_node).html(data.products[i].product_code);
                    }

                    if ($('.ty-search-item__control', new_node).length && data.products[i].product_id) {
                        var add_to_cart_btn = '<a href="' + fn_url('checkout.add..' + data.products[i].product_id) + '&result_ids=cart_status*,wish_list*,checkout*,account_info*" class="cm-post cm-ajax cm-ajax-full-render cm-ajax-status-middle ty-btn ty-btn__primary ty-btn__add-to-cart" data-ca-target-id="cart_status*,wish_list*,checkout*,account_info*"><i class="ty-icon-moon-commerce bs-icon-cart"></i></a>';
                        $('.ty-search-item__control', new_node).html(add_to_cart_btn);
                    }

                    esqs_container.append(new_node);
                }
                if (esqs_show_pagination && data.search && parseInt(data.search.items_per_page, 10) < parseInt(data.search.total_items, 10)) {
                    new_node = $('.cm-es-item-example .ecl-live-search-pagination').clone();
                    $('.ecl-live-search-prev', new_node).on('click', function() {
                        var new_page = page - 1;
                        fn_ecl_live_search_query(c_url, q_string, new_page);
                    });
                    $('.ecl-live-search-next', new_node).on('click', function() {
                        var new_page = page + 1;
                        fn_ecl_live_search_query(c_url, q_string, new_page);
                    });
                    esqs_container.append(new_node);
                }

                if (esqs_container.is(':hidden')) {
                    esqs_container.fadeIn(200);
                }
            }
        }
    });
}(Tygh, Tygh.$));
</script>